/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package org.alfresco.service.cmr.remotecredentials;

/**
 * This class represents an OAuth 1.0 based set of credentials
 * 
 * @author Nick Burch
 * @since 4.0.2
 */
public interface OAuth1CredentialsInfo extends BaseCredentialsInfo 
{
   /**
    * @return the OAuth Token Identifier
    */
   String getOAuthToken();
   
   /**
    * @return the OAuth Token Secret
    */
   String getOAuthSecret();
}
